
Figure - Bug #118835
【VC1】【0110】【实车】【EE环境】【副屏】网易云音乐收入手机号点击登陆，程序闪退
2023-06-19 15:42 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-06-19

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 中控版本0090��副屏版本：0110

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 第三方应用问题

Description

【环境信息】EE环境（709）

【前提条件】整车上电

【操作步骤】

1.打开网易云音乐使用手机号登陆

2.输入手机号点击登陆

【实际结果】

应用闪退，手机可以接受到验证码

【期望结果】

应用正常不会出现闪退现象

Related issues:

Related to Figure - Bug # 118180: 【AF】【EVT3】【桌面】在桌面上点击网易云... CLOSED 2023-05-23

History

#1 - 2023-06-19 19:42 - CD FW 曹覃刚

- Category changed from CD-APP to 窗口定制

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#2 - 2023-06-20 17:56 - CD FW-鲁凯峰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_TSCD 王维

- Need_Info changed from -- to TEST

从日志看是网易云自己挂掉了, 应该是网易云的transient_notification布局出现了问题,需要网易云自己去修改

15:28:53.485 13204 13204 D AndroidRuntime: Shutting down VM

06-19 15:28:53.485 13204 13204 E AndroidRuntime: FATAL EXCEPTION: main

06-19 15:28:53.485 13204 13204 E AndroidRuntime: Process: com.netease.cloudmusic, PID: 13204

06-19 15:28:53.485 13204 13204 E AndroidRuntime: android.view.InflateException: Binary XML file line #29 in android:layout/transient_notification: Binary XML file line

#29 in android:layout/transient_notification: Error inflating class <unknown>

06-19 15:28:53.485 13204 13204 E AndroidRuntime: Caused by: android.view.InflateException: Binary XML file line #29 in android:layout/transient_notification: Error

inflating class <unknown>

06-19 15:28:53.485 13204 13204 E AndroidRuntime: Caused by: java.lang.reflect.InvocationTargetException

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at java.lang.reflect.Constructor.newInstance0(Native Method)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at java.lang.reflect.Constructor.newInstance(Constructor.java:343)

2025-07-04 1/3



06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.createView(LayoutInflater.java:858)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.createView(LayoutInflater.java:780)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.android.internal.policy.PhoneLayoutInflater.onCreateView(PhoneLayoutInflater.java:58)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.onCreateView(LayoutInflater.java:934)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.onCreateView(LayoutInflater.java:954)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:1008)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:965)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.rInflate(LayoutInflater.java:1127)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.rInflateChildren(LayoutInflater.java:1088)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:686)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:538)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:485)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.widget.ToastPresenter.getTextToastView(ToastPresenter.java:63)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.widget.Toast.makeText(Toast.java:501)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.widget.Toast.makeText(Toast.java:483)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.cloudmusic.utils.td.p(ProGuard:29)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.cloudmusic.utils.td.o(ProGuard:1)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.cloudmusic.utils.td.r(ProGuard:1)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.cloudmusic.module.login.LoginActivity.n7(ProGuard:8)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.cloudmusic.module.login.LoginActivity.o7(Unknown Source:0)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.cloudmusic.module.login.o.onChanged(Unknown Source:4)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at androidx.lifecycle.LiveData.considerNotify(ProGuard:6)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at androidx.lifecycle.LiveData.dispatchingValue(ProGuard:8)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at androidx.lifecycle.LiveData.setValue(ProGuard:4)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at androidx.lifecycle.MutableLiveData.setValue(ProGuard:1)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.karaoke.w0.b.u5(ProGuard:7)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.karaoke.w0.b$b.onError(ProGuard:7)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.loginapi.expose.ApiCallbackWrapper.onError(ProGuard:2)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.loginapi.expose.CommonApiCallbackHandler.onError(ProGuard:1)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.loginapi.expose.ApiCallbackWrapper.onError(ProGuard:2)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.loginapi.h.onError(ProGuard:1)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.loginapi.j.onError(ProGuard:23)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.loginapi.http.impl.URSAsyncHttpComms.onPostExecute(ProGuard:21)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.loginapi.v2.finish(ProGuard:3)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.loginapi.v2.access$100(ProGuard:1)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.netease.loginapi.v2$a.handleMessage(ProGuard:5)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:102)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

06-19 15:28:53.485 13204 13204 E AndroidRuntime: Caused by: java.lang.UnsupportedOperationException: Can't convert value at index 15 to dimension: type=0x1

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.content.res.TypedArray.getDimensionPixelSize(TypedArray.java:788)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.view.View.<init>(View.java:5540)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.widget.TextView.<init>(TextView.java:1032)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.widget.TextView.<init>(TextView.java:1026)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     at android.widget.TextView.<init>(TextView.java:1022)

06-19 15:28:53.485 13204 13204 E AndroidRuntime:     ... 45 more

#3 - 2023-06-27 10:50 - 物联网测试组_TSCD 王维
- Status changed from NEED_INFO to RESOLVED

- Root cause set to 第三方应用问题

#4 - 2023-06-27 10:50 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-27 10:50 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

111.mp4 2.74 MB 2023-06-19 物联网测试组_TSCD 王维

fb.txt 4.9 MB 2023-06-19 物联网测试组_TSCD 王维
